version: '3.2'

services:
  server:
    image: currviewer/backend
    # You cannot scale a service beyond 1 container if you have specified a
    # custom name. Attempting to do so results in an error.
    container_name: currviewer-backend
    build: .
    ports:
      - '3030:3030'
    environment:
      - NODE_ENV=production
      - PORT=3030
      - SECRETKEY=kljagojoojag
      - LOGLEVEL=trace
      - ALLOW_ORIGIN=*
      - DB_HOSTNAME=mysql
      - DB_PORT=3606
      - DB_USERNAME=inzicht
      - DB_DBNAME=inzicht
      - DB_PASSWORD=secret
    depends_on:
      - mysql
    links:
      - mysql
    restart: unless-stopped
    networks:
      - backend
    # privileged: true

  mysql:
    image: mysql
    # You cannot scale a service beyond 1 container if you have specified a
    # custom name. Attempting to do so results in an error.
    container_name: currviewer-mysql
    command: --default-authentication-plugin=mysql_native_password
    restart: unless-stopped
    environment:
      MYSQL_ROOT_PASSWORD: example
      MYSQL_DATABASE: inzicht
      MYSQL_USER: inzicht
      MYSQL_PASSWORD: secret
    # volumes:
    #   - neo4j-data:/data/neo4j
    ports:
      - '3606:3606'
    networks:
      - backend

networks:
  backend:

volumes:
  neo4j-data:
